/*
 * led.h
 *
 *  Created on: 202212る16ら
 *      Author: dragonfling
 */

#ifndef USER_BSP_LED_H_
#define USER_BSP_LED_H_

#include "stdio.h"
#include "ch32v30x.h"

#define LED1_Port  GPIOE
#define LED1_Pin   GPIO_Pin_5
#define LED1_CLK   RCC_APB2Periph_GPIOE

#define LED2_Port  GPIOC
#define LED2_Pin   GPIO_Pin_4
#define LED2_CLK   RCC_APB2Periph_GPIOC

#define BEEP_Port  GPIOE
#define BEEP_Pin   GPIO_Pin_0
#define BEEP_CLK   RCC_APB2Periph_GPIOE


#define ON  0
#define OFF 1

#define LED1(a) if (a)  \
                    GPIO_SetBits(LED1_Port,LED1_Pin);\
                    else        \
                    GPIO_ResetBits(LED1_Port,LED1_Pin)

#define LED2(a) if (a)  \
                    GPIO_SetBits(LED2_Port,LED2_Pin);\
                    else        \
                    GPIO_ResetBits(LED2_Port,LED2_Pin)

#define BEEP(a) if (a)  \
                    GPIO_SetBits(BEEP_Port,BEEP_Pin);\
                    else        \
                    GPIO_ResetBits(BEEP_Port,BEEP_Pin)

#define digitalHi(p,i)        {p->BSHR =i;}
#define digitalLo(p,i)        {p->BCR =i;}
#define digitalToggle(p,i)    {p->OUTDR ^=i;}

#define LED1_TOGGLE      digitalToggle(LED1_Port,LED1_Pin)
#define LED1_OFF           digitalHi(LED1_Port,LED1_Pin)
#define LED1_ON            digitalLo(LED1_Port,LED1_Pin)

#define LED2_TOGGLE      digitalToggle(LED2_Port,LED2_Pin)
#define LED2_OFF           digitalHi(LED2_Port,LED2_Pin)
#define LED2_ON            digitalLo(LED2_Port,LED2_Pin)

void LedInit();
void BeepInit();

#endif /* USER_BSP_LED_H_ */
